/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Márcio Saraiva
 * Aula: Interface Grafica utilizando SWING
 * Exemplo: Exemplo Tocador de Musica - executa arquivo .wav quando o botao eh clicado
 */

package InterfaceGrafica;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;

import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;

public class TocaCanta implements ActionListener {

	@Override
	public void actionPerformed(ActionEvent arg0) {
		try {
	        AudioInputStream audioInputStream = AudioSystem.getAudioInputStream(new File("D:/RC.wav").getAbsoluteFile());
	        Clip clip = AudioSystem.getClip();
	        clip.open(audioInputStream);
	        clip.start();
	    } catch(Exception ex) {
	        System.out.println("Error with playing sound.");
	        ex.printStackTrace();
	    }
		
	}

}
