/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Márcio Saraiva
 * Aula: Interface Grafica utilizando SWING
 * Exemplo: IMC
 */


package InterfaceGrafica;

import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

public class IMC {

	public static void main(String[] args) {
			
		JFrame frame = new JFrame("IMC Direto");
		
		JPanel panPeso = new JPanel();
		panPeso.setLayout(new FlowLayout());
		panPeso.add(new JLabel("Peso"));
		JTextField txtPeso = new JTextField(10);
		panPeso.add(txtPeso);
			
		JPanel panAltura = new JPanel();
		panAltura.add(new JLabel("Altura"));
		JTextField txtAltura = new JTextField(10);
		panAltura.add(txtAltura);
		
		JButton calcula = new JButton("Calcula");
		
		calcula.addActionListener(new Calculadora(txtPeso,txtAltura));		
		
		frame.setLayout(new FlowLayout());
		frame.setSize(250, 150);
		frame.add(panPeso);
		frame.add(panAltura);
		frame.add(calcula);
		
		frame.setVisible(true);
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); //pra terminar o programa
	}

}
